Bug 477516 - perl and dependencies
perl and dependencies
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-21 08:53 EST by Chitlesh GOORAH
Modified: 2010-02-15 02:05 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-15 02:05:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Candidate fix (1.13 KB, patch)
2010-02-03 13:38 EST, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Chitlesh GOORAH 2008-12-21 08:53:51 EST
Description of problem:
rpmbuild is taking "use module" found in comments as Requires:

Examples:

=for To do:
use regexp-generating
=cut

rpmbuild takes perl(regexp::generating) as a Requires, which is wrong.


Version-Release number of selected component (if applicable):
rpmdevtools-6.7-1.fc9.noarch

How reproducible:
everytime.

Steps to Reproduce:
1. rebuild the srpm http://chitlesh.fedorapeople.org/RPMS/perl-Hardware-Vhdl-Lexer-1.00-1.fc10.src.rpm
2. now comment the workaround mentioned in the spec
3. you will see commenting the workaround, add perl(regexp::generating) as Requires
  
Actual results:
rpmbuild takes perl(regexp::generating) as a Requires

Expected results:
No requires for module in commented codes

Additional info:
Bug 477515 -  Review Request: perl-Hardware-Vhdl-Lexer - Split VHDL code into lexical tokens
Comment 1 Ville Skyttä 2008-12-21 10:30:11 EST
I don't see anything related to rpmdevtools here, reassinging to rpm.
Comment 2 Bug Zapper 2009-06-09 06:28:04 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Ville Skyttä 2010-02-03 13:38:26 EST
Created attachment 388590 [details]
Candidate fix

perl.{req,prov} try to skip over POD sections, but don't know about =for.  The attached patch should fix it.
Comment 4 Panu Matilainen 2010-02-15 02:05:24 EST
Applied upstream, thanks for the patch. Doesn't seem worth separately tracking for Fedora though.

Note You need to log in before you can comment on or make changes to this bug.